Company member sites
List member sites
Every site in the company, company-owned and member-owned, newest first, except a branch, which is found through its site’s branches and by its own id. Needs application_themes.view, or a droplet token with the website scope.
GET
/
api
/
company
/
v2026-10
/
member-sites
List member sites
curl --request GET \
--url https://api.fluid.app/api/company/v2026-10/member-sites \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/company/v2026-10/member-sites"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/company/v2026-10/member-sites', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/company/v2026-10/member-sites",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/company/v2026-10/member-sites"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fluid.app/api/company/v2026-10/member-sites")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/company/v2026-10/member-sites")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"member_sites": [
{
"id": "019a2b3c-4d5e-7f6a-8b7c-9d0e1f2a3b4c",
"handle": "primex-launch",
"name": "Primex Launch",
"owner_kind": "company",
"owner_member": null,
"copied_from_id": null,
"access": {
"declared": false,
"uses": []
},
"visibility": "public",
"status": "published",
"taken_down_at": null,
"required": true,
"position": 1,
"featured": true,
"feature_position": 0,
"layout_name": null,
"settings": {},
"content_version": "019a2b3c-5e6f-7a7b-8c9d-0e1f2a3b4c5d",
"lock_version": 2,
"created_at": "2026-10-12T10:20:33Z",
"updated_at": "2026-10-13T09:00:00Z"
},
{
"id": "019a2c4d-5e6f-7a7b-8c9d-0e1f2a3b4c5d",
"handle": "riley-shop",
"name": "Riley's Shop",
"owner_kind": "member",
"owner_member": {
"id": "019a1111-2222-7333-8444-555566667777",
"display_name": "Riley Rep"
},
"copied_from_id": null,
"access": {
"declared": false,
"uses": []
},
"visibility": "private",
"status": "draft",
"taken_down_at": null,
"required": false,
"position": 0,
"featured": false,
"feature_position": null,
"layout_name": null,
"settings": {},
"content_version": "019a2c4d-6f7a-7b8c-9d0e-1f2a3b4c5d6e",
"lock_version": 0,
"created_at": "2026-10-14T11:00:00Z",
"updated_at": "2026-10-14T11:00:00Z"
}
],
"status": 200,
"meta": {
"request_uuid": "3b8f1d27-6c4e-4a91-8e5d-2f7c9a1b0e64",
"timestamp": "2026-10-23T14:05:12Z",
"pagination": {
"cursor": null,
"limit": 25,
"prev_cursor": null,
"next_cursor": null
}
}
}{}{}{
"error": {
"message": "<string>",
"details": {}
},
"status": 123,
"meta": {
"request_uuid": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"error": {
"message": "<string>",
"details": {}
},
"status": 123,
"meta": {
"request_uuid": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}Authorizations
A company admin credential for your company, or a droplet installation token with the website scope for reads, except on the share routes, which refuse a droplet token.
Query Parameters
Opaque cursor from meta.pagination.next_cursor or prev_cursor. Do not construct or decode it.
Sites per page. Default 25, maximum 100.
Required range:
1 <= x <= 100Only sites owned by the company, or only sites owned by members.
Available options:
company, member Only sites with this status.
Available options:
draft, published, taken_down ⌘I
List member sites
curl --request GET \
--url https://api.fluid.app/api/company/v2026-10/member-sites \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/company/v2026-10/member-sites"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/company/v2026-10/member-sites', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/company/v2026-10/member-sites",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/company/v2026-10/member-sites"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fluid.app/api/company/v2026-10/member-sites")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/company/v2026-10/member-sites")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"member_sites": [
{
"id": "019a2b3c-4d5e-7f6a-8b7c-9d0e1f2a3b4c",
"handle": "primex-launch",
"name": "Primex Launch",
"owner_kind": "company",
"owner_member": null,
"copied_from_id": null,
"access": {
"declared": false,
"uses": []
},
"visibility": "public",
"status": "published",
"taken_down_at": null,
"required": true,
"position": 1,
"featured": true,
"feature_position": 0,
"layout_name": null,
"settings": {},
"content_version": "019a2b3c-5e6f-7a7b-8c9d-0e1f2a3b4c5d",
"lock_version": 2,
"created_at": "2026-10-12T10:20:33Z",
"updated_at": "2026-10-13T09:00:00Z"
},
{
"id": "019a2c4d-5e6f-7a7b-8c9d-0e1f2a3b4c5d",
"handle": "riley-shop",
"name": "Riley's Shop",
"owner_kind": "member",
"owner_member": {
"id": "019a1111-2222-7333-8444-555566667777",
"display_name": "Riley Rep"
},
"copied_from_id": null,
"access": {
"declared": false,
"uses": []
},
"visibility": "private",
"status": "draft",
"taken_down_at": null,
"required": false,
"position": 0,
"featured": false,
"feature_position": null,
"layout_name": null,
"settings": {},
"content_version": "019a2c4d-6f7a-7b8c-9d0e-1f2a3b4c5d6e",
"lock_version": 0,
"created_at": "2026-10-14T11:00:00Z",
"updated_at": "2026-10-14T11:00:00Z"
}
],
"status": 200,
"meta": {
"request_uuid": "3b8f1d27-6c4e-4a91-8e5d-2f7c9a1b0e64",
"timestamp": "2026-10-23T14:05:12Z",
"pagination": {
"cursor": null,
"limit": 25,
"prev_cursor": null,
"next_cursor": null
}
}
}{}{}{
"error": {
"message": "<string>",
"details": {}
},
"status": 123,
"meta": {
"request_uuid": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"error": {
"message": "<string>",
"details": {}
},
"status": 123,
"meta": {
"request_uuid": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}